Subject: Software:Equation Editors (Summary)

From: [email-masked] (Brian W. Beck)
Date: Wed, 23 Jul 1997 09:49:19 -0700 (PDT)

Here is the summary of responses I got concerning equation
	editors for Mac using MS Word. Specifically, I was looking
	for something for equations as Endnote is for references and
	the most important feature I was looking for was global search
	and replace (i.e. replace all V(x) with U(t) through a whole
	document.

	Hope this helps,

	-Brian
---------------------------------------------------------------------
1) Expressionist (from Waterloo MapleSoft )

[email-masked] (Peter Shenkin)

	Hi.  I've used Expressionist for many years, and it's very good.
	It's lots better than the equation formatter in MS/Word/5, but I've 
	not tried the one in MS/Word/6.

Pieter Stouten <[email-masked]>

	I have used (don't have much need for an equation editor at the moment)
	Expressionist extensively. It is not as seamlessly integrated with MSWord
	as EndNote (which I heavily use), but it is almost there. One can
	double-click Expressionist equations and that opens Expressionist. Closing
	the equation window pastes the updated equation back into Word.
	Expressionist is very easy to use and gives me enough control to produce
	equations that are good enough for me. Your mileage may vary, but I'd
	suggest you give Expressionist a try.
---------------------------------------------------------------------

2) Word Formula Entry

Kieran F Lim (Lim Pak Kwan)" <[email-masked]>

	before Microsoft signed the deal with MathType to have an object based
	eqn. editor, Word (version 4) had a formula-entry capability
	       eg  something like CMD-OPTION-\ then FRAC to get a fraction
	           .\frac(top,bottom)
	automatically set up in the old FORMALA GLOSSARY which came FREE with the
	Word program back in the good ol' days!
	
	R.G.Gilbert and S.C.Smith used this formula-entry capability to
	write EVERY equation in their book
	      "Theory of Unimolecular Reactions ..."
	so it is a very powerful tool.  have a look in your library to see what
	the final product looks like.   (free plug for my friends here)
	
	this capability still exists in word 5 and 6, but is now
	omitted from the manual.  and you don't get the FORMALA GLOSSARY any more.
	
	I use a mixture of  Word's formula entry and a program called Expressionist
	which is another object based eqn. editor BUT it does the capability
	to convert all its objects INTO WORD MARKUP FORMULA ENTRIES.
	Expressionist is made by Prescience
	      fax 1-(415) 882-0530]
	      try Prescience.com as an e-mail or WWW site
	I do NOT know of any program which has the ability to back-convert
	word formula entries into an object based eqn for easy editting.

	personally, I prefer Expressionist, but I recommend you should get
	either the FULL version of MathType, not the toy version in Word
	    or the Expressionist program
	    or beg, borrow or steal a manual for Word 4 which sets out
	       Word's formula entry capability.

---------------------------------------------------------------------

3) Mathtype (which appears to be the progenitor of the Eqn Ed.)

Krzysztof Radacki <[email-masked]>

	Try MathType by Design Sicience Inc (http://www.mathtype.com/mathtype/).

Guido Germano <[email-masked]>

	You can try "MathType", which is an enhanced version of "Equation Editor",
	but which hasn't all the features you want, or resort to "Scientific Word",
	a program which looks like a conventional WYSIWIG word processor, but saves
	the documents in LaTeX format; however, I don't know whether there exist a
	port for the Mac (I saw it only for Windows so far). Or convert yourself
	altogether to LaTeX, using for instance "TeXtures", which compiles your
	document while you write the source.
---------------------------------------------------------------------

4) TeX Editor for Macs

Juan Carlos Paniagua <[email-masked]>

	I don't know such an equation editor for MSWord, but the TeX editor
	Scientific Word is, in principle, a good alternative: it has the tools
	for editing text and formulas in the same window (with e pseudo-wysiwyg
	look), distinguishes between both types of information, and imports
	documents produced with other editors via the MS-RTF format.

	The problem is that some important features, like the translation from
	RTF, don't work well due to bugs of the software, and the support
	service of the company that produces it (TCI) is inoperative.
 
	You can have a look at
	http://www.thomson.com/tcisoft/products/mac25.html
	or
	http://www.matstat.unit.no/~yngvesv/swp/swp.html

[email-masked] (Victoria Barclay)

	There *is* a version of TeX for the Mac; it's called OzTeX.
	It's shareware (I think) developed by an Australian fellow.

[email-masked] (Simon Clifford)

	  After I used Word 5's equation editor to type the equations in my
	thesis I swore never again. Now by choice I use LaTeX. Since you
	already have experience with this it might be worth using LaTeX
	on the Mac? There is at least one very good shareware port, called
	OzTeX, which should be available on any info-mac mirror.

---------------------------------------------------------------------

	Since it seemed like a number of people were suggesting
	Expressionist, I sent a query to customer support.

[email-masked] (Patti Tarr)

	Thanks for your interest in Maple software.  Any questions you may have can be
	directed to me at [email-masked] or by calling 1-800-267-6583 ext. 227. 

	There are no compatiblity issues using Expressionist 3.2 with Word 5.1a for
	Mac.  You should have no problems running Expressionist in this environment.
me>
me>   Can I do global search and replace with
me>   Expressionist? For example, if I have
me>   a paper full of equations and I
me>   want to change all the V(r) to U(r)
me>   through the whole document, can I do
me>   this?

	A global search and replace won't work.  When you paste an expression into
	Word, it is considered a graphic rather than text so is not included when Word
	searches through the document.  Unfortunately, there isn't really a way around
	this.  The only alternative to manually make each change.

	Please let me know if I can be of further assistance.
	Sincerely,
	Patti Tarr
	Waterloo Maple Inc.
	1-800-267-6583 ext. 227
	[email-masked]

----------------------------------------------------------------------------

	Finally, I asked them if it were possible to keep a "library"
	of equations which could be "Publish/Subscribed" into a word
	document such that the word document would automatically update
	if you changed the Expressionist "library". They indicated that
	this was partially possible in that you could make a library
	of equations, but that each time you put an equation into
	Word, it became an independent entity and double-clicking would
	bring up a new Expressionist document not the original "library".

-- 
=============================================================================
|   .---------.| Brian W. Beck      |    E-mail Addresses:                  |
|/\ |         || Biochem/Biophysics |        [email-masked]        |
|| \\     WSU || Washington St. Univ|   [email-masked]                  |
|\  -        *|| 639 Fulmer         |  URL  http://elmo.chem.wsu.edu/~brian |
| |           || Pullman, WA, USA   |    VOICE    (509) 335-4083            |
| \___________||       99164-4660   |      FAX    (509) 335-9688            |
=============================================================================